import React, { useState, useEffect } from 'react';
import { csv } from 'd3';
const csvUrl =
  'https://gist.githubusercontent.com/ethanjones-git/1731d22e9cc7de59ba41d4677cfc2fe9/raw/e38299cc30c6b96ddb019b3ec9714b4faa67c740/revolution.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.petal_length = new Date(d.petal_length);
      d.species = d.species;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
